package gov.va.med.edp.rpc;

import org.springframework.dao.InvalidDataAccessApiUsageException;
import gov.va.med.vistalink.adapter.record.VistaLinkFaultException;

/**
 * TODO: document VistaLinkRpcInvalidApiUsageException
 */
public class VistaLinkRpcInvalidApiUsageException extends InvalidDataAccessApiUsageException {

    private VistaLinkFaultException fault;

    public VistaLinkRpcInvalidApiUsageException(VistaLinkFaultException fault) {
        super(fault.getMessage());
        this.fault = fault;
    }

    public String getErrorCode() {
        return fault.getErrorCode();
    }

    public String getErrorMessage() {
        return fault.getErrorMessage();
    }

    public String getErrorType() {
        return fault.getErrorType();
    }

    public String getFaultActor() {
        return fault.getFaultActor();
    }

    public String getFaultCode() {
        return fault.getFaultCode();
    }

    public String getFaultString() {
        return fault.getFaultString();
    }
}
